package com.example.db2.dao;

import com.example.vo.CardInfoVo;
import com.example.vo.Picture;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName LianZhongDao
 * @Description 联众dao层
 * @Author linjj
 * @Date 2025/6/4 13:15
 * @Version 1.0
 */
@Mapper
public interface LianZhongDao {
    /**
     * @description: 查询有多少条为采集记录
     * @params:  state
     * @return: Integer
     * @author linjj
     * @date: 2025/6/4 13:17
     */
    Integer getCollectNum(Integer state);
    /**
     * @description: 根据范围查询1000条记录
     * @params: start end
     * @return: CardInfoVo
     * @author linjj
     * @date: 2025/6/4 14:55
     */
    List<CardInfoVo>getCardInfoVo(@Param("start") Integer start, @Param("end") Integer end);
    /**
     * @description: 跟换患者id查询患者信息
     * @params:  fileid
     * @return:  Picture
     * @author linjj
     * @date: 2025/6/4 15:25
     */
    List<Picture>getPicture(String fileid);
    /**
     * @description: 修改病例状态
     * @params:
     * @return:
     * @author linjj
     * @date: 2025/6/5 10:32
     */
    Boolean updateState(@Param("id") String id,@Param("state") Integer state);
}
